ControlBossEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.session.ControlBossEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.session
Class ControlBossEJBImpl

    java.lang.Object
      org.hyperic.hq.bizapp.server.session.BizappSessionEJB
          org.hyperic.hq.bizapp.server.session.ControlBossEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class ControlBossEJBImpl

extends BizappSessionEJB
implements javax.ejb.SessionBean

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`ctx`

Constructor Summary
`ControlBossEJBImpl()`

Method Summary
`java.util.List` | `batchCheckControlPermissions(int sessionId, AppdefEntityID[] entities)` Accept an array of appdef entity Ids and verify control permission on each entity for specified subject.
`void` | `deleteControlJob(int sessionId, java.lang.Integer[] ids)` Delete a ControlJob based on an id
`void` | `deleteJobHistory(int sessionId, java.lang.Integer[] ids)` Remove an entry from the control history
`void` | `doAction(int sessionId, AppdefEntityID id, java.lang.String action, ScheduleValue schedule)` Execute a control action This is used for doing scheduled control actions.
`void` | `doAction(int sessionId, AppdefEntityID id, java.lang.String action, java.lang.String args)` Execute a control action immediately on an appdef entity.
`void` | `doGroupAction(int sessionId, AppdefEntityID groupEnt, java.lang.String action, int[] orderSpec, ScheduleValue schedule)` Schedule a control action on a group entity.
`void` | `doGroupAction(int sessionId, AppdefEntityID groupEnt, java.lang.String action, java.lang.String args, int[] orderSpec)` Execute a control action immediately on a group entity.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`java.util.Map` | `findControllablePlatformTypes(int sessionID)` Find types of all controllable platforms defined in the system.
`java.util.Map` | `findControllableResourceNames(int sessionID, AppdefEntityTypeID aetid)` Find names of all controllable resources of a given type.
`java.util.Map` | `findControllableServerTypes(int sessionID)` Find types of all controllable servers defined in the system.
`java.util.Map` | `findControllableServiceTypes(int sessionID)` Find types of all controllable services defined in the system.
`PageList` | `findGroupJobHistory(int sessionId, AppdefEntityID id, int batchJobId, PageControl pc)` Group job history detail on group appdef id
`PageList` | `findJobHistory(int sessionId, AppdefEntityID id, PageControl pc)` Get a job history based on appdef id
`PageList` | `findScheduledJobs(int sessionId, AppdefEntityID id, PageControl pc)` Finder for all of the scheduled jobs for an appdef entity.
`java.util.List` | `getActions(int sessionId, AppdefEntityID id)` Get the actions supported for an appdef entity
`java.util.List` | `getActions(int sessionId, AppdefEntityTypeID aetid)` Get the actions supported for an appdef entity type
`ControlSchedule` | `getControlJob(int sessionId, java.lang.Integer id)` Obtain a ControlJob based on an id
`ControlHistory` | `getCurrentJob(int sessionId, AppdefEntityID id)` Obtain the current action that is being executed.
`ControlHistory` | `getJobByJobId(int sessionId, java.lang.Integer id)` Obtain a control action based on job id
`ControlHistory` | `getLastJob(int sessionId, AppdefEntityID id)` Obtain the last control action that fired
`PageList` | `getOnDemandControlFrequency(int sessionId, int numToReturn)` Get a list of most active control operations
`PageList` | `getPendingControlActions(int sessionId, int rows)` Get a list of pending control actions in decending order
`PageList` | `getRecentControlActions(int sessionId, int rows, long window)` Get a list of recent control actions in decending order
`PageList` | `getRecentControlActions(java.lang.String user, int rows, long window)` Get a list of recent control actions in decending order.
`boolean` | `isControlEnabled(int sessionId)` Check if anything has been enabled for control
`boolean` | `isControlEnabled(int sessionId, AppdefEntityID id)` Check if an entity has been enabled for control
`boolean` | `isControlSupported(int sessionId, AppdefEntityTypeID tid)` Check if the entity's resource supports control
`boolean` | `isControlSupported(int sessionId, AppdefResourceValue res)` Check if the entity's resource supports control
`boolean` | `isGroupControlEnabled(int sessionId, AppdefEntityID id)` Check if a group has been enabled for control
`void` | `removeScheduledJobs(int sessionId, AppdefEntityID id)` Remove all of the scheduled jobs for an appdef entity.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`

Methods inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`getAgentManager, getAIBoss, getAIManager, getAppdefBoss, getAppdefStatManager, getApplicationManager, getAuthManager, getAuthzBoss, getAuthzSubjectManager, getAutoInventoryManager, getAvailManager, getConfigManager, getControlBoss, getControlManager, getControlScheduleManager, getCPropManager, getDataMan, getEventsBoss, getMeasurementBoss, getMetricManager, getOverlord, getPlatformManager, getProductBoss, getProductManager, getReportProcessor, getResourceGroupManager, getResourceManager, getServerConfigManager, getServerManager, getServiceManager, getSessionContext, getSrnManager, getTemplateManager, getTrackerManager, rollback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlBossEJBImpl

    public ControlBossEJBImpl()

Method Detail

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `BizappSessionEJB`

### doAction

    public void doAction(int sessionId,
                         AppdefEntityID id,
                         java.lang.String action,
                         java.lang.String args)
                  throws PluginException,
                         GroupNotCompatibleException,
                         SessionNotFoundException,
                         SessionTimeoutException,
                         PermissionException,
                         AppdefEntityNotFoundException

  Execute a control action immediately on an appdef entity.

  Parameters:
    `action` - The action to perform
  Throws:
    `PluginException`
    `GroupNotCompatibleException`
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`
    `AppdefEntityNotFoundException`

### doAction

    public void doAction(int sessionId,
                         AppdefEntityID id,
                         java.lang.String action,
                         ScheduleValue schedule)
                  throws PluginException,
                         org.quartz.SchedulerException,
                         SessionNotFoundException,
                         SessionTimeoutException,
                         PermissionException,
                         AppdefEntityNotFoundException,
                         GroupNotCompatibleException,
                         ApplicationException

  Execute a control action This is used for doing scheduled control actions.

  Parameters:
    `controlJob` - The control job action name
    `schedule` - The control job schedule
  Throws:
    `PluginException`
    `org.quartz.SchedulerException`
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`
    `AppdefEntityNotFoundException`
    `GroupNotCompatibleException`
    `ApplicationException`

### doGroupAction

    public void doGroupAction(int sessionId,
                              AppdefEntityID groupEnt,
                              java.lang.String action,
                              int[] orderSpec,
                              ScheduleValue schedule)
                       throws PluginException,
                              org.quartz.SchedulerException,
                              SessionNotFoundException,
                              SessionTimeoutException,
                              PermissionException,
                              AppdefEntityNotFoundException,
                              GroupNotCompatibleException,
                              ApplicationException

  Schedule a control action on a group entity.

  Parameters:
    `action` - The action to perform
  Throws:
    `PluginException`
    `org.quartz.SchedulerException`
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`
    `AppdefEntityNotFoundException`
    `GroupNotCompatibleException`
    `ApplicationException`

### doGroupAction

    public void doGroupAction(int sessionId,
                              AppdefEntityID groupEnt,
                              java.lang.String action,
                              java.lang.String args,
                              int[] orderSpec)
                       throws PluginException,
                              GroupNotCompatibleException,
                              SessionNotFoundException,
                              SessionTimeoutException,
                              PermissionException,
                              AppdefEntityNotFoundException

  Execute a control action immediately on a group entity.

  Parameters:
    `action` - The action to perform
  Throws:
    `PluginException`
    `GroupNotCompatibleException`
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`
    `AppdefEntityNotFoundException`

### getActions

    public java.util.List getActions(int sessionId,
                                     AppdefEntityID id)
                              throws PluginNotFoundException,
                                     AppdefEntityNotFoundException,
                                     SessionNotFoundException,
                                     SessionTimeoutException,
                                     PermissionException,
                                     GroupNotCompatibleException

  Get the actions supported for an appdef entity

  Throws:
    `PluginNotFoundException`
    `AppdefEntityNotFoundException`
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`
    `GroupNotCompatibleException`

### getActions

    public java.util.List getActions(int sessionId,
                                     AppdefEntityTypeID aetid)
                              throws PluginNotFoundException,
                                     PermissionException,
                                     SessionNotFoundException,
                                     SessionTimeoutException

  Get the actions supported for an appdef entity type

  Throws:
    `PluginNotFoundException`
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### isGroupControlEnabled

    public boolean isGroupControlEnabled(int sessionId,
                                         AppdefEntityID id)
                                  throws AppdefEntityNotFoundException,
                                         PermissionException,
                                         SessionNotFoundException,
                                         SessionTimeoutException

  Check if a group has been enabled for control

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### isControlSupported

    public boolean isControlSupported(int sessionId,
                                      AppdefResourceValue res)
                               throws SessionNotFoundException,
                                      SessionTimeoutException

  Check if the entity's resource supports control

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### isControlSupported

    public boolean isControlSupported(int sessionId,
                                      AppdefEntityTypeID tid)
                               throws SessionNotFoundException,
                                      SessionTimeoutException

  Check if the entity's resource supports control

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### isControlEnabled

    public boolean isControlEnabled(int sessionId)
                             throws SessionNotFoundException,
                                    SessionTimeoutException,
                                    PermissionException

  Check if anything has been enabled for control

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`

### isControlEnabled

    public boolean isControlEnabled(int sessionId,
                                    AppdefEntityID id)
                             throws AppdefEntityNotFoundException,
                                    SessionNotFoundException,
                                    SessionTimeoutException,
                                    PermissionException

  Check if an entity has been enabled for control

  Throws:
    `AppdefEntityNotFoundException`
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`

### findScheduledJobs

    public PageList findScheduledJobs(int sessionId,
                                      AppdefEntityID id,
                                      PageControl pc)
                               throws PluginException,
                                      ScheduledJobNotFoundException,
                                      SessionNotFoundException,
                                      SessionTimeoutException,
                                      PermissionException

  Finder for all of the scheduled jobs for an appdef entity.

  Returns:
    List of scheduled actions
  Throws:
    `PluginException`
    `ScheduledJobNotFoundException`
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`

### removeScheduledJobs

    public void removeScheduledJobs(int sessionId,
                                    AppdefEntityID id)
                             throws SessionNotFoundException,
                                    SessionTimeoutException,
                                    ScheduledJobRemoveException

  Remove all of the scheduled jobs for an appdef entity.

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `ScheduledJobRemoveException`

### findJobHistory

    public PageList findJobHistory(int sessionId,
                                   AppdefEntityID id,
                                   PageControl pc)
                            throws PluginException,
                                   ApplicationException,
                                   PermissionException,
                                   SessionNotFoundException,
                                   SessionTimeoutException

  Get a job history based on appdef id

  Throws:
    `PluginException`
    `ApplicationException`
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### findGroupJobHistory

    public PageList findGroupJobHistory(int sessionId,
                                        AppdefEntityID id,
                                        int batchJobId,
                                        PageControl pc)
                                 throws PluginException,
                                        ApplicationException,
                                        SessionNotFoundException,
                                        SessionTimeoutException,
                                        PermissionException,
                                        AppdefGroupNotFoundException

  Group job history detail on group appdef id

  Throws:
    `PluginException`
    `ApplicationException`
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`
    `AppdefGroupNotFoundException`

### deleteJobHistory

    public void deleteJobHistory(int sessionId,
                                 java.lang.Integer[] ids)
                          throws ApplicationException,
                                 PermissionException,
                                 SessionNotFoundException,
                                 SessionTimeoutException

  Remove an entry from the control history

  Throws:
    `ApplicationException`
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### getCurrentJob

    public ControlHistory getCurrentJob(int sessionId,
                                        AppdefEntityID id)
                                 throws ApplicationException,
                                        PermissionException,
                                        SessionNotFoundException,
                                        SessionTimeoutException

  Obtain the current action that is being executed. If there is no current running action, null is returned.

  Returns:
    currently running ControlJob.
  Throws:
    `ApplicationException`
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### getJobByJobId

    public ControlHistory getJobByJobId(int sessionId,
                                        java.lang.Integer id)
                                 throws ApplicationException,
                                        PermissionException,
                                        SessionNotFoundException,
                                        SessionTimeoutException

  Obtain a control action based on job id

  Returns:
    last ControlJob that ran
  Throws:
    `ApplicationException`
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### getLastJob

    public ControlHistory getLastJob(int sessionId,
                                     AppdefEntityID id)
                              throws ApplicationException,
                                     PermissionException,
                                     SessionNotFoundException,
                                     SessionTimeoutException

  Obtain the last control action that fired

  Returns:
    last ControlJob that ran
  Throws:
    `ApplicationException`
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### getControlJob

    public ControlSchedule getControlJob(int sessionId,
                                         java.lang.Integer id)
                                  throws PluginException,
                                         ApplicationException,
                                         PermissionException,
                                         SessionNotFoundException,
                                         SessionTimeoutException

  Obtain a ControlJob based on an id

  Parameters:
    `triggerName` - The control trigger name
  Returns:
    The control job that was requested
  Throws:
    `PluginException`
    `ApplicationException`
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### deleteControlJob

    public void deleteControlJob(int sessionId,
                                 java.lang.Integer[] ids)
                          throws PluginException,
                                 ApplicationException,
                                 PermissionException,
                                 SessionNotFoundException,
                                 SessionTimeoutException

  Delete a ControlJob based on an id

  Parameters:
    `ids` - Array of job ids to be deleted
  Throws:
    `PluginException`
    `ApplicationException`
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### getRecentControlActions

    public PageList getRecentControlActions(int sessionId,
                                            int rows,
                                            long window)
                                     throws ApplicationException,
                                            PermissionException,
                                            SessionNotFoundException,
                                            SessionTimeoutException

  Get a list of recent control actions in decending order

  Throws:
    `ApplicationException`
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### getRecentControlActions

    public PageList getRecentControlActions(java.lang.String user,
                                            int rows,
                                            long window)
                                     throws javax.security.auth.login.LoginException,
                                            ApplicationException

  Get a list of recent control actions in decending order. Called by RSS feed so it does not require valid session ID.

  Throws:
    `ApplicationException` - if user is not found
    `javax.security.auth.login.LoginException` - if user account has been disabled

### getPendingControlActions

    public PageList getPendingControlActions(int sessionId,
                                             int rows)
                                      throws ApplicationException,
                                             PermissionException,
                                             SessionNotFoundException,
                                             SessionTimeoutException

  Get a list of pending control actions in decending order

  Throws:
    `ApplicationException`
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### getOnDemandControlFrequency

    public PageList getOnDemandControlFrequency(int sessionId,
                                                int numToReturn)
                                         throws ApplicationException,
                                                PermissionException,
                                                ApplicationException,
                                                SessionNotFoundException,
                                                SessionTimeoutException

  Get a list of most active control operations

  Throws:
    `ApplicationException`
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### batchCheckControlPermissions

    public java.util.List batchCheckControlPermissions(int sessionId,
                                                       AppdefEntityID[] entities)
                                                throws AppdefEntityNotFoundException,
                                                       PermissionException,
                                                       SessionNotFoundException,
                                                       SessionTimeoutException

  Accept an array of appdef entity Ids and verify control permission on each entity for specified subject. Return an array containing the set or subset of entities where subject has control authorization.

  Returns:
    List of entities that are control authorized.
  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### findControllablePlatformTypes

    public java.util.Map findControllablePlatformTypes(int sessionID)
                                                throws SessionNotFoundException,
                                                       SessionTimeoutException,
                                                       PermissionException

  Find types of all controllable platforms defined in the system.

  Returns:
    A map of PlatformType names and AppdefEntityTypeIDs.
  Throws:
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### findControllableServerTypes

    public java.util.Map findControllableServerTypes(int sessionID)
                                              throws SessionNotFoundException,
                                                     SessionTimeoutException,
                                                     PermissionException

  Find types of all controllable servers defined in the system.

  Returns:
    A map of ServerType names and AppdefEntityTypeIDs.
  Throws:
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### findControllableServiceTypes

    public java.util.Map findControllableServiceTypes(int sessionID)
                                               throws SessionNotFoundException,
                                                      SessionTimeoutException,
                                                      PermissionException

  Find types of all controllable services defined in the system.

  Returns:
    A map of ServiceType names and AppdefEntityTypeIDs.
  Throws:
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### findControllableResourceNames

    public java.util.Map findControllableResourceNames(int sessionID,
                                                       AppdefEntityTypeID aetid)
                                                throws SessionNotFoundException,
                                                       SessionException,
                                                       PermissionException

  Find names of all controllable resources of a given type.

  Returns:
    A map of Service names and AppdefEntityIDs.
  Throws:
    `PermissionException`
    `SessionNotFoundException`
    `SessionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.